%define rhugversion 20040130
%define sapiversion 20021119
%define rhugsource1 jakarta-%{name}-4 upstream

Summary: Jakarta Servlet and JSP APIs
Name: servletapi
Version: 2.3
Release: 4
Epoch: 1
Source: rhug-jakarta-%{name}-%{rhugversion}.tar.bz2
Source1: jakarta-%{name}-4-src-%{sapiversion}.tar.gz
Patch1: %{name}-rhjpp.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1

%description
An implementation of the Java Servlet and JSP APIs, versions 2.3 and
1.2 respectively.

%package devel
Summary: CNI headers for developing servlets
Group: Development/Libraries
Requires: servletapi = %{epoch}:%{version}-%{release}

%description devel
The servletapi-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use the Java Servlet API.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-servlet.so \
    %{_datadir}/java/servlet.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-servlet.so \
    %{_datadir}/java/servlet.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/LICENSE upstream/*.txt
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/servlet

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 2.3-4
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 2.3-3
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Tue Feb 17 2004 Gary Benson <gbenson@redhat.com> 2.3-2
- Add missing epoch to -devel subpackage's dependencies (#115999).

* Mon Feb 16 2004 Gary Benson <gbenson@redhat.com> 2.3-1
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Wed Dec 10 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 4.1.7-10
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 4.1.7-9
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 4.1.7-8
- Rebuild with new compiler.

* Mon Jul 28 2003 Gary Benson <gbenson@redhat.com> 4.1.7-7
- Add missing resources to jarfile (#100977).

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com>
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 4.1.7-6
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 4.1.7-5
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 4.1.7-4
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 4.1.7-3
- Rebuild with new compiler.

* Tue Apr 15 2003 Gary Benson <gbenson@redhat.com> 4.1.7-2
- Tighten up directory ownership in %{_includedir}.

* Wed Apr  9 2003 Gary Benson <gbenson@redhat.com> 4.1.7-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Sat Mar  2 2002 Anthony Green <green@redhat.com>
- Initial RHUG build.
